package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate

class EfectoAtaqueProtagonista(probabilidadExito: Int) : Efecto(probabilidadExito) {
    override fun ejecutar(): String {
        val probabilidadPersonaje = (1..100).random()
        val mensaje: String

        if (probabilidadPersonaje <= probabilidadExito) {
            GestorCombate.cargarAnimacionesAtaqueProtagonista()
            val ataqueReal = GestorCombate.calcularAtaque(GameState.jugador.atributos[Atributo.Ataque]!!, GameState.jugador.atributos[Atributo.Critico]!!)
            GameState.eventoActual.actualizarResistencia(-ataqueReal)
            mensaje = "¡Ataque realizado con éxito has hecho $ataqueReal de daño"
        } else {
            mensaje = "Has fallado el golpe, recibe 0 de daño"
        }
        return mensaje
    }
}